exec("./support_apsys.cs");

if(isObject(SavedItemList_Teams))
{
	SavedItemList_Teams.delete();
}

new ScriptObject(SavedItemList_Teams)
{
	class = ApSys;
	dataFile = "config/server/savedItems_teams/New Team.dat";
};

SavedItemList_Teams.addValue("Items", "string 255", "");
SavedItemList_Teams.loadData();

function Player::saveItems_team(%player, %client)
{
	if(!isObject(%client) || !isObject(%player))
	{
		return;
	}

	if(!isObject(%client.getTeam()) || %client.getTeam().name $= "")
	{
		return;
	}

	SavedItemList_Teams.dataFile = "config/server/savedItems_teams/" @ %client.getTeam().name @ ".dat";

	%CData = SavedItemList_Teams.getData(%client.getBLID(), 1);
	%CData.setValue("Items", "");

	for(%i = 0; %i < %player.getDatablock().maxTools; %i++)
	{
		if(%list $= "" && isObject(%player.tool[%i]))
		{
			%list = %player.tool[%i].getName();
		}

		else if(%list !$= "" && isObject(%player.tool[%i]))
		{
			%list = %list TAB %player.tool[%i].getName();
		}
	}

	%CData.setValue("Items", %list);
	SavedItemList_Teams.saveData();
}

function Player::loadItems_team(%player, %client)
{
	if(!isObject(%client) || !isObject(%player))
	{
		return;
	}

	if(!isObject(%client.getTeam()) || %client.getTeam().name $= "")
	{
		return;
	}

	%player.clearTools();

	if(!isFile(%file = "config/server/savedItems_teams/" @ %client.getTeam().name @ ".dat"))
	{
		return;
	}

	SavedItemList_Teams.removeValue("Items");
	SavedItemList_Teams.dataFile = "config/server/savedItems_teams/" @ %client.getTeam().name @ ".dat";
	SavedItemList_Teams.loadData();

	%CData = SavedItemList_Teams.getData(%client.getBLID(), 1);
	%itemList = %CData.getValue("Items");
	%itemCount = getFieldCount(%itemList);

	if(%player.getDatablock().maxTools >= %itemCount)
	{
		for(%i = 0; %i < %itemCount; %i++)
		{
			%itemName = getField(%itemList, %i);
			%itemDB = nameToID(%itemName);

			if(isObject(%itemDB))
			{
				%player.tool[%i] = %itemDB;
				%player.weaponCount++;
				messageClient(%client, 'MsgItemPickup', '', %i, %itemDB, 0);
			}
		}
	}
}

registerOutputEvent("Player", "saveItems_team", "", 1);
registerOutputEvent("Player", "loadItems_team", "", 1);